Package org.springframework.security.web.access

# Class CompositeAccessDeniedHandler

java.lang.Object
org.springframework.security.web.access.CompositeAccessDeniedHandler

All Implemented Interfaces:
  `AccessDeniedHandler`

public final class CompositeAccessDeniedHandler extends Object implements AccessDeniedHandler

## Constructor Summary

Constructors
Constructor
Description
`CompositeAccessDeniedHandler(Collection<AccessDeniedHandler> handlers)`
`CompositeAccessDeniedHandler(AccessDeniedHandler... handlers)`

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.access.AccessDeniedException accessDeniedException)`
Handles an access denied failure.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompositeAccessDeniedHandler

public CompositeAccessDeniedHandler(AccessDeniedHandler... handlers)

### CompositeAccessDeniedHandler

public CompositeAccessDeniedHandler(Collection<AccessDeniedHandler> handlers)

## Method Details

### handle

public void handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.access.AccessDeniedException accessDeniedException) throws IOException, jakarta.servlet.ServletException
Description copied from interface: `AccessDeniedHandler`
Handles an access denied failure.

Specified by:
  `handle` in interface `AccessDeniedHandler`
Parameters:
  `request` - that resulted in an `AccessDeniedException`
  `response` - so that the user agent can be advised of the failure
  `accessDeniedException` - that caused the invocation
Throws:
  `IOException` - in the event of an IOException
  `jakarta.servlet.ServletException` - in the event of a ServletException